Subject: Re: [PATCH net 3/3] net: mscc: ocelot: fix duplicate driver name error

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 24 Feb 2023 15:58:15 +0000

On Fri, Feb 24, 2023 at 05:52:35PM +0200, Vladimir Oltean wrote:
> When compiling a kernel which has both CONFIG_NET_DSA_MSCC_OCELOT_EXT
> and CONFIG_MSCC_OCELOT_SWITCH enabled, the following error message will
> be printed:
> 
> [    5.266588] Error: Driver 'ocelot-switch' is already registered, aborting...
> 
> Rename the ocelot_ext.c driver to "ocelot-ext-switch" to avoid the name
> duplication, and update the mfd_cell entry for its resources.
> 
> Fixes: 3d7316ac81ac ("net: dsa: ocelot: add external ocelot switch control")
> Signed-off-by: Vladimir Oltean <[email-masked]>

I'll also send another patch to delete linux/phylink.h from
ocelot_ext.c - seems that wasn't removed when the phylink instance
was removed during review.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!